Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 88036

Summary: CCM Error when accessing copied item in subfolder
Product: [Retired] Red Hat Enterprise CMS Reporter: Jon Orris <jorris>
Component: otherAssignee: Justin Ross <jross>
Status: CLOSED RAWHIDE QA Contact: Jon Orris <jorris>
Severity: medium Docs Contact:
Priority: medium    
Version: nightlyCC: ccm-bugs-list
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-06-11 19:45:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 92283, 97193    
Bug Blocks: 88926    

Description Jon Orris 2003-04-04 20:10:43 UTC
Description of problem:
Create two folders, foo and bar.
Create a content item in foo.
Copy folder foo to folder bar.
Navigate to foo/bar
Access the article copy. Get CCM Error:

An unexpected error has occurred. If this continues to be a problem for you
please contact the administrators of the site quoting the following:

CCM issue report code: ccm-installer.boston.redhat.com:8080:1d807ac8:f45a48b2de

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
ccm-installer.boston.redhat.com:8080:1d807ac8:f45a48b2de -*-*-*-
-*-*-*- Message: Cannot set key property "id" to null. -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=aGj6DUXHrM_-;
ad_user_login=23!1144090343692!6F4dS39zq585Hb1GoFxXnA==
Host: ccm-installer.boston.redhat.com:8080
Keep-Alive: 300
Referer:
http://ccm-installer.boston.redhat.com:8080/ccm/articles/admin/index.jsp?bbp.79.sel=1&bbp.785.d=asc&query=Manager&bbp.221.stack=7&bbp.v=-838+1&bbp.s=81&bbp.i=2a1105uo03lkck2br6qad2oxqdicaj5490uii9mp7x78mj639xjdiurp2q3s6ie2uxw8a5fcxhrbi78srehadyw4q5a662ht3fg3ri9q3hmjyji0crd9xxmm5wf03k2n9oarfbok1cqminvjwtc&bbp.e=cell&bbp.3.pane=0&bbp.4.folder=773&bbp.75.ps=20&bbp.215.sel=158&bbp.97.state=+118+&g11n.enc=ISO-8859-1&bbp.18.state=+118+
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a) Gecko/20021212

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aGj6DUXHrM_- (expires: -1)
ad_user_login: 23!1144090343692!6F4dS39zq585Hb1GoFxXnA== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.PersistenceException: Cannot set key property "id" to
null.
	at com.arsdigita.persistence.DataStore.doRetrieve(DataStore.java(Compiled Code))
	at com.arsdigita.persistence.DataStore.doRetrieve(DataStore.java(Compiled Code))
	at com.arsdigita.persistence.DataStore.doRetrieve(DataStore.java(Compiled Code))
	at com.arsdigita.persistence.SessionImpl.retrieve(SessionImpl.java(Compiled Code))
	at com.arsdigita.persistence.SessionImpl.retrieve(SessionImpl.java(Compiled Code))
	at com.arsdigita.domain.DomainObject.(DomainObject.java(Compiled Code))
	at com.arsdigita.domain.ObservableDomainObject.(ObservableDomainObject.java:98)
	at com.arsdigita.kernel.ACSObject.(ACSObject.java:161)
	at com.arsdigita.auditing.AuditedACSObject.(AuditedACSObject.java:152)
	at com.arsdigita.workflow.simple.Task.(Task.java:147)
	at com.arsdigita.workflow.simple.Workflow.(Workflow.java:125)
	at com.arsdigita.workflow.simple.Workflow.(Workflow.java:136)
	at
com.arsdigita.cms.ui.item.ItemWorkflowRequestLocal.initialValue(ItemWorkflowRequestLocal.java:42)
	at com.arsdigita.bebop.RequestLocal.get(RequestLocal.java(Compiled Code))
	at
com.arsdigita.cms.ui.workflow.WorkflowRequestLocal.getWorkflow(WorkflowRequestLocal.java:30)
	at
com.arsdigita.cms.ui.workflow.AssignedTaskTableModelBuilder.makeModel(AssignedTaskTableModelBuilder.java:44)
	at com.arsdigita.bebop.Table$3.initialValue(Table.java:768)
	at com.arsdigita.bebop.Table.generateXML(Table.java(Compiled Code))
	at com.arsdigita.bebop.Table.generateXML(Table.java(Compiled Code))
	at com.arsdigita.bebop.Table.generateXML(Table.java(Compiled Code))
	at com.arsdigita.toolbox.ui.ActionGroup.generateXML(ActionGroup.java:90)
	at com.arsdigita.toolbox.ui.Section.generateXML(Section.java:117)
	at com.arsdigita.bebop.GridPanel.generateChildren(GridPanel.java:260)
	at com.arsdigita.bebop.GridPanel.generateXML(GridPanel.java:210)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:112)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:99)
	at
com.arsdigita.cms.ui.authoring.WizardSelector.generateXML(WizardSelector.java:128)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java(Compiled Code))
	at com.arsdigita.bebop.Page.generateXML(Page.java:639)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:241)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:72)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:249)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:59)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:163)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:192)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:205)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:61)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:135)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:199)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/item.jsp
Query string: item_id=848&set_tab=1&g11n.enc=ISO-8859-1
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ISO-8859-1
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/opt/oracle/product/jdbc/lib/classes12.zip:/usr/share/pgsql/java/rh-pgsql-jdbc2.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/local/java/lib/tools.jar:/usr/local/java/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /usr/local/java/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020622 (JIT enabled: jitc)
java.home: /usr/local/java/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/local/java/jre/bin:/usr/local/java/jre/bin/classic:/opt/oracle/product/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020622 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.9-e.12
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/usr/local/java/jre/lib/rt.jar:/usr/local/java/jre/lib/i18n.jar:/usr/local/java/jre/classes
sun.boot.library.path: /usr/local/java/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /opt/resin/2.1.4
user.home: /root
user.language: en
user.name: root
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

Comment 1 Justin Ross 2003-06-03 21:10:06 UTC
At perforce 31977, I'm not reproducing this bug.  I suspect that changes to
persistence have eliminated or obscured it.  Marking this QA ready so Jon can
confirm it is working.

Comment 2 Jon Orris 2003-06-05 21:30:29 UTC
Can't verify until 92283 fixed

Comment 3 Jon Orris 2003-06-11 19:44:01 UTC
Fixed